Export (0) Print
Expand All

ContentVersion Element (Visual Studio Content Installer)

Specifies which versions of Visual Studio the component supports.


  
    
<ContentVersion> 1.0/2.0 </ContentVersion>

The following sections describe attributes, child elements, and parent elements.

Attributes

None.

Child Elements

None.

Parent Elements

Element

Description

Content

Groups content in a .vscontent file.

A text value is required.

This value specifies which version of Visual Studio a component is designed to work with.

  • 1.0   Specifies that the component is compatible with Visual Studio 2005, Visual Studio 2008 and Visual Studio 2010.

  • 2.0   Specifies that the component is compatible with both Visual Studio 2008 and Visual Studio 2010.

For managed language add-ins, specifying <ContentVersion>1.0</ContentVersion> will not install the add-in for use in both Visual Studio 2005 and Visual Studio 2008 unless the Version element in the .addin file for the add-in specifies the value 8.0 and 9.0 or the value *. For more information, see Add-In Registration.

The following example shows the metadata for a macro community content component.

<VSContent xmlns="http://schemas.microsoft.com/developer/vscontent/2005">
    <Content>
        <FileName>MyMacroProject.vsmacros</FileName>
        <DisplayName>My Macro Project</DisplayName>
        <Description> A macro project created for this example.</Description>
        <FileContentType>Macro Project</FileContentType>
        <ContentVersion>1.0</ContentVersion>
    </Content>
</VSContent>

Community Additions

ADD
Show:
© 2015 Microsoft